@import "../global";

.extended-input {
	position: relative;

	width: 100%;

	label {
		position: relative;
		margin: 0;
		display: block;
	 
		color:  #bfbfbf;
		line-height: 16px;
		font-size: 16px;
		font-weight: 400;
	 
		transform: translateY(24px);
		transition: transform 0.3s, color 0.3s;
		transform-origin: 0 50%;
	}

	input {
		position: relative;
		display: block;
		width: 100%;
		height: 32px;
	 
		line-height: 16px;
		font-size: 16px;
	 
		background: transparent;
		border: none;
		-webkit-appearance: none;
		outline: none;
	}

	&:after, &:before {
		#pseudoelement.default();
		height: 2px;
		bottom: 0;
	}

	&:after {
		background: @material-input-underbar__top;
		transition: transform 0.3s ease-out, background 0.3s;
		transform: scaleX(0);
	}

	&.focus:after {
		transform: scaleX(1);
	}

	&:before {
		background: @material-input-underbar__background;
	}

	&.has-label label {
		transform: translateY(0) scale(0.75);
	}

	&.focus label {
		color: @material-input-label__focus;
	}

	&.error {

		&:after { 
			background: @material-input-error__underbar;
			transform: scaleX(1)
		}

		label {
			color: @material-input-error__text-color;
		}

		> .error-container {
			color: @material-input-error__text-color;
			position: absolute;
			font-size: 0.8em;

			> p {
				margin: 2px 0 0 3px;
			}
		}
	}
}